aboutsummaryrefslogtreecommitdiff
path: root/www/tomcat7/pkg-install
diff options
context:
space:
mode:
authorSam Lawrance <lawrance@FreeBSD.org>2006-02-07 08:50:09 +0000
committerSam Lawrance <lawrance@FreeBSD.org>2006-02-07 08:50:09 +0000
commita0156c5c5b88d822b11a148b403f4fd7731bb18c (patch)
treea65ce0fbae6876e3f9e17cb985c51db86a065624 /www/tomcat7/pkg-install
parent5223a66b1655e21aff6006d8d75ba043d5d9a847 (diff)
Notes
Diffstat (limited to 'www/tomcat7/pkg-install')
-rw-r--r--www/tomcat7/pkg-install51
1 files changed, 0 insertions, 51 deletions
diff --git a/www/tomcat7/pkg-install b/www/tomcat7/pkg-install
deleted file mode 100644
index e0e3cbb484b7..000000000000
--- a/www/tomcat7/pkg-install
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/sh
-#
-# Checks if the '%%USER%%' user and %%GROUP%% group exist. If they don't, then
-# an attempt is made to create both.
-#
-# $FreeBSD: /tmp/pcvs/ports/www/tomcat7/Attic/pkg-install,v 1.3 2005-09-29 15:08:23 hq Exp $
-#
-
-# Make sure we're called during the 'make install' process
-if [ "$2" != "PRE-INSTALL" ]; then
- exit 0
-fi
-
-# Set some constants
-UID=80
-GID=${UID}
-
-# See if the group already exists
-if ! pw groupshow "%%GROUP%%" 2>/dev/null 1>&2; then
-
- # If not, try to create it
- if pw groupadd "%%GROUP%%" -g ${GID}; then
- echo "Added group \"%%GROUP%%\"."
- elif pw groupadd "%%GROUP%%"; then
- echo "Added group \"%%GROUP%%\"."
- else
- echo "Adding group \"%%GROUP%%\" failed..."
- exit 1
- fi
-fi
-
-# See if the user already exists
-if ! pw usershow "%%USER%%" 2>/dev/null 1>&2; then
-
- # If not, try to create it
- if pw useradd "%%USER%%" -u ${UID} -g "%%GROUP%%" -h - \
- -s "/sbin/nologin" -d "/nonexistent" \
- -c "World Wide Web Owner";
- then
- echo "Added user \"%%USER%%\"."
- elif pw useradd "%%USER%%" -g "%%GROUP%%" -h - \
- -s "/sbin/nologin" -d "/nonexistent" \
- -c "World Wide Web Owner";
- then
- echo "Added user \"%%USER%%\"."
- else
- echo "Adding user \"%%USER%%\" failed..."
- exit 1
- fi
-fi
-exit 0